normalize.vector {bio3d} | R Documentation

## Mass-Weighted Normalized Vector

### Description

Normalizes a vector (mass-weighted if requested).

### Usage

    normalize.vector(x, mass=NULL)

### Arguments

`x` | a numeric vector or matrix to be normalized.
`mass` | a numeric vector containing the atomic masses for weighting.

### Details

This function normalizes a vector, or alternatively, the column-wise vector elements of a matrix. If atomic masses are provided the vector is mass-weigthed.

See examples for more details.

### Value

Returns the normalized vector(s).

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`nma` , `inner.prod`

### Examples

    x <- 1:3
    y <- matrix(1:9, ncol = 3, nrow = 3)

    normalize.vector(x)
    normalize.vector(y)

    ## Application to normal modes
    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )

    ## Calculate (vibrational) normal modes
    modes <- nma(pdb)

    ## Returns a vector
    nv <- normalize.vector(modes$modes[,7])

    ## Returns a matrix
    nv <- normalize.vector(modes$modes[,7:10])

    ## Mass-weighted
    nv <- normalize.vector(modes$modes[,7], mass=modes$mass)

[Package bio3d version 2.3-4 Index]